User API Resource

Abstract class for REST webservices

GET /user/json

Get list of users.

Try it out!

Response Body
media type data type description
application/json object (JSON) JSON with list of users.

Example of response:

{"list":[{"id":1,"userFullName":"Admin","description":"","email":""},{"id":2,,"userFullName":"User 1","description":"","enabled":true,"email":""}]}

GET /user/info/json

Try it out!

Response Body
media type data type description
application/json object (JSON)

PUT /user/info/json

Try it out!

Request Parameters
name type description default constraints
acknowledgeVersionChanged query false boolean
Response Body
media type data type description
application/json HdcSuccessTO (JSON)